<template>
  <b-container v-if="!$apollo.loading" class="news-item">
    <b-row class="mb-4">
      <b-col>
        <router-link :to="'/news'">
          <b-icon-arrow-left></b-icon-arrow-left>
          Back to news
        </router-link>
      </b-col>
    </b-row>
    <b-row class="mb-4">
      <b-col>
        <h1 class="mb-2">{{ newsItem.title }}</h1>
        <b-badge
          v-for="category in newsItem.categories"
          :key="category.id"
          class="mr-1 mb-3"
          :style="{
              backgroundColor: category.color,
          }">
          {{category.name}}
        </b-badge>
      </b-col>
    </b-row>
    <b-row>
      <b-col sm="8">
        <b-img v-if="newsItem.image" :src="newsItem.image" fluid class="mb-3"></b-img>
        <div class="mb-5">
          {{ newsItem.content }}
        </div>
        <router-link :to="'/news'">
          <b-icon-arrow-left></b-icon-arrow-left>
          Back to news
        </router-link>
      </b-col>
      <b-col sm="4">
        <div v-if="linksList.length" class="mb-4">
          <h3>Related news</h3>
          <LinksList :links="linksList"/>
        </div>
        <div v-if="newsItem.tooltiles.length" class="mb-4">
          <h3>Tooltiles</h3>
          <div v-for="tile in newsItem.tooltiles" :key="tile.id" class="mb-2">
            <Tooltile :tile="tile"/>
          </div>
        </div>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import newsItemQuery from '@/graphql/newsItem.query';
import LinksList from '@/components/LinksList.vue';
import Tooltile from '@/components/Tooltile.vue';

export default {
  components: {
    LinksList,
    Tooltile,
  },
  data: () => ({
    newsItem: {},
  }),
  apollo: {
    newsItem: {
      query: newsItemQuery,
      variables() {
        return {
          slug: this.$route.params.slug,
        };
      },
    },
  },
  computed: {
    linksList () {
      return this.newsItem.relatedNews.map(item => ({
        id: item.slug,
        url: `/news/${item.slug}`,
        name: item.title,
      }));
    },
  },
};
</script>
